#!/bin/sh

# TODO: find a better place for this auto-exec
xcompmgr -c -f -n &

scripts="$HOME/.config/i3/conky"

# Send the header so that i3bar knows we want to use JSON:
echo '{"version":1}'

# Begin the endless array.
echo '['

# We send an empty first array of blocks to make the loop simpler:
echo '[],'

# Now send blocks with information forever:
exec conky -c "$scripts/conkystatus.conf"
